List game items for an account offer
curl --request GET \
--url https://api.gameboost.com/v2/account-offers/{account}/game-items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gameboost.com/v2/account-offers/{account}/game-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gameboost.com/v2/account-offers/{account}/game-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"champions": [
{
"id": 1,
"name": "Aatrox",
"slug": "lol-aatrox",
"icon_url": "https://ddragon.leagueoflegends.com/cdn/15.15.1/img/champion/Aatrox.png"
}
],
"skins": [
{
"id": 182,
"name": "Academy Ahri",
"slug": "lol-academy-ahri",
"icon_url": "https://ddragon.leagueoflegends.com/cdn/img/champion/loading/Ahri_6.jpg"
}
]
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "Too many requests."
}Account Offers
List game items for an account offer
Retrieve all game items (champions, skins, etc.) associated with this account offer grouped by collection type.
GET
/
v2
/
account-offers
/
{account}
/
game-items
List game items for an account offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the account offer. Can be retrieved from the list of account offers.
Response
Game items associated with the account offer grouped by collection
Game items grouped by collection slug (e.g., champions, skins, roles)
Show child attributes
Show child attributes
Was this page helpful?
⌘I